Bug 1124070 - Review Request: pcaro-hermit-fonts - Monospace fonts for programming
Summary: Review Request: pcaro-hermit-fonts - Monospace fonts for programming
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 22:45 UTC by Ryan Brown
Modified: 2014-08-03 01:57 UTC (History)
5 users (show)

Fixed In Version: pcaro-hermit-fonts-1.21-4.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-31 16:43:23 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ryan Brown 2014-07-28 22:45:07 UTC
Spec URL: http://rsb.io/pkg/hermit/pcaro-hermit-fonts-1.21-2.spec
SRPM URL: http://rsb.io/pkg/hermit/pcaro-hermit-fonts-1.21-2.fc20.src.rpm

Description:
Hermit is a monospace font designed to be clear, pragmatic and very readable.
Its creation has been focused on programming. Every glyph was carefully planned
and calculated, according to defined principles and rules. For this reason,
Hermit is coherent and regular.

Fedora Account System Username: ryansb

Koji Builds:
http://koji.fedoraproject.org/koji/taskinfo?taskID=7205300
http://koji.fedoraproject.org/koji/taskinfo?taskID=7205301

This copr repo uses the specfile from above, and I've tested it on F19, F20, and rawhide. https://copr.fedoraproject.org/coprs/ryansb/pcaro-hermit-fonts/

Comment 1 David Gay 2014-07-29 19:18:00 UTC
Tested and working on Fedora 20 x86_64. Awesome stuff! :)

Comment 2 Parag AN(पराग) 2014-07-30 15:12:06 UTC
will review this tomorrow :)

Comment 3 Parag AN(पराग) 2014-07-31 05:14:10 UTC
Suggestions:
1) spec file name should not contain any version or release. I suppose its a typo in the initial comment for Spec URL.

2) If you are not planning to add this package to EPEL6 then remove following from spec

   a) Group tag is now optional and can be removed.

   b) "rm -rf %{buildroot}" is not needed anymore as its done automatically by rpmbuild 

   c) similarly %clean section is also not needed anymore

3) %prep should contain only
%setup -q

4) Though there is no compilation or building of binary files happening, you can include empty %build to let rpmlint happy

5) Don't add extra empty spaces in the spec file like one you have line 59

6) I think you can if wanted keep the priority of fontconfig file to 69. Generally 60-69 numbers are used for "generic aliases, map generic->family" and you have the same fontconfig rule.

Comment 4 Ryan Brown 2014-07-31 13:29:32 UTC
Parag,

Thank you for your review, I've responded inline.

1) spec file name should not contain any version or release. 

The spec file name only contains a version so I can make multiple revisions available from my web site, the actual spec file on my local machine does not have a version in its filename.

2) If you are not planning to add this package to EPEL6 then remove following from spec

   a) Group tag is now optional and can be removed.
Done

   b) "rm -rf %{buildroot}" is not needed anymore as its done automatically by rpmbuild 
Done

   c) similarly %clean section is also not needed anymore
Done

3) %prep should contain only
%setup -q

For my case %setup -cq is necessary because the upstream tarball extracts files directly into current directory instead of extracting to a folder

4) Though there is no compilation or building of binary files happening, you can include empty %build to let rpmlint happy
Done


5) Don't add extra empty spaces in the spec file like one you have line 59
Removed

6) I think you can if wanted keep the priority of fontconfig file to 69. Generally 60-69 numbers are used for "generic aliases, map generic->family" and you have the same fontconfig rule.
Done

New SRPM: http://rsb.io/pkg/hermit/pcaro-hermit-fonts-1.21-3.fc20.src.rpm
New specfile: http://rsb.io/pkg/hermit/pcaro-hermit-fonts-1.21-3.spec

Thanks very much for your feedback, let me know what you think of the changes.

Comment 5 Parag AN(पराग) 2014-07-31 14:55:03 UTC
Thanks. Few more changes I will suggest

1) We have fedora-review tool which reads the spec and srpm links. This tool shows issue for spec file name as it will not match to what is packaged inside srpm. You can have multiple revisions of spec along with version at your web location but keep only one latest spec with just pcaro-hermit-fonts.spec name.

2) The upstream also uses spelling as "monospace" and not "mono-space". Please change all such occurrences. Let rpmlint complain it as warning.

3) I think many are familiar with this way to fix DOS line endings
http://fedoraproject.org/wiki/Packaging_tricks#Remove_DOS_line_endings

4) with your recent changelog another rpmlint warning has come. When you use character '%' in %changelog section or in any line which is a comment, always use it as twice '%%' character.


Else looks good now.

Comment 6 Ryan Brown 2014-07-31 15:26:10 UTC
Ok, I didn't know that fedora-review would fail if the version was in the spec URL. 

mono-space -> monospace
Done

DOS line endings
Done

Changelog % -> %%
Done


Spec URL: http://rsb.io/pkg/hermit/pcaro-hermit-fonts.spec
SRPM URL: http://rsb.io/pkg/hermit/pcaro-hermit-fonts-1.21-4.fc20.src.rpm

Comment 7 Parag AN(पराग) 2014-07-31 15:37:54 UTC
Thanks. Looks good now.

No. The fedora-review tool will not fail but will check such mismatch and raise it an issue.

Package is APPROVED.

Note when you request for Package SCM request, please add InitialCC as
InitialCC: fonts-sig i18n-team

Comment 8 Ryan Brown 2014-07-31 15:42:29 UTC
New Package SCM Request
=======================
Package Name: pcaro-hermit-fonts
Short Description:  Hermit monospace fonts
Upstream URL: https://pcaro.es/p/hermit
Owners: ryansb
Branches: f20 f21 master
InitialCC: fonts-sig i18n-team

Comment 9 Gwyn Ciesla 2014-07-31 15:50:00 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2014-07-31 16:44:53 UTC
pcaro-hermit-fonts-1.21-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pcaro-hermit-fonts-1.21-4.fc20

Comment 11 Fedora Update System 2014-08-03 01:57:25 UTC
pcaro-hermit-fonts-1.21-4.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.